Subject: Re: [PATCH] Documentation: rerere.enabled overrides [ -d rr-cache ]

From: Thomas Rast <[email-masked]>
Date: Tue, 10 Jan 2012 15:57:27 +0100

Sorry I'm late, but...

On Fri, 6 Jan 2012 21:17:12 -0800, Junio C Hamano <[email-masked]> wrote:
> 
> Running "unset" is how to return the _variable_ to the previous state, but
> that is _not_ how to return to the previous state of the _repository_.
> 
> Perhaps something like this in addition?
[...]
>  	encountered again.  By default, linkgit:git-rerere[1] is
>  	enabled if there is an `rr-cache` directory under the
> -	`$GIT_DIR`.
> +	`$GIT_DIR`, e.g. if "rerere" was previously used in the
> +	repository.

I don't feel strongly about it, but this is a really neat and concise
way to put it, so why not.  Here's hoping I can save you some work:

---- 8< ---- 8< ----
From: Junio C Hamano <[email-masked]>
Subject: Documentation: rerere's rr-cache auto-creation and rerere.enabled

The description of rerere.enabled left the user in the dark as to who
might create an rr-cache directory.  Add a note that simply invoking
rerere does this.

diff --git a/Documentation/config.txt b/Documentation/config.txt
index 04f5e19..c523c67 100644
--- a/Documentation/config.txt
+++ b/Documentation/config.txt
@@ -1786,7 +1786,8 @@ rerere.enabled::
 	conflict hunks can be resolved automatically, should they be
 	encountered again.  By default, linkgit:git-rerere[1] is
 	enabled if there is an `rr-cache` directory under the
-	`$GIT_DIR`.
+	`$GIT_DIR`, e.g. if "rerere" was previously used in the
+	repository.
 
 sendemail.identity::
 	A configuration identity. When given, causes values in the

-- 
Thomas Rast
trast@{inf,student}.ethz.ch